package com.fp.bpmlib.task.util;


import java.util.Collections;
import java.util.List;

import org.jbpm.kie.services.api.IdentityProvider;

// dummy CustomIdentityProvider solves:
// org.jboss.weld.exceptions.DeploymentException: WELD-001408 Unsatisfied dependencies for type [IdentityProvider]
// with qualifiers [@Default] at injection point [[field] @Inject private
// org.jbpm.kie.services.impl.KModuleDeploymentService.identityProvider]
// @ApplicationScoped
public class CustomIdentityProvider implements IdentityProvider {

    @Override
    public String getName() {
        return "dummy";
    }

    @Override
    public List<String> getRoles() {

        return Collections.emptyList();
    }

}